"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var getTypescriptField_1 = require("./getTypescriptField");
function default_1(interfaceName, inputs) {
    if (!inputs.length) {
        return '';
    }
    var fields = inputs
        .map(function (x) { return (0, getTypescriptField_1.default)(x.name, x.type); })
        .map(function (x) { return "\t" + x; })
        .join('\n');
    return "interface " + interfaceName + " {\n" + fields + "\n}\n";
}
exports.default = default_1;
