"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function default_1(useApolloClient3) {
    if (useApolloClient3 === void 0) { useApolloClient3 = false; }
    return (useApolloClient3
        ? "\nimport {\n\tApolloClient,\n\tErrorPolicy,\n\tFetchPolicy,\n\tMutationOptions,\n\tOperationVariables,\n\tQueryOptions,\n\tSubscriptionOptions,\n\tWatchQueryOptions,\n} from '@apollo/client/core'\nimport { UpdateQueryFn } from '@apollo/client/core/watchQueryOptions'\n"
        : "import ApolloClient, {\n\tErrorPolicy,\n\tFetchPolicy,\n\tMutationOptions,\n\tOperationVariables,\n\tQueryOptions,\n\tSubscriptionOptions,\n\tWatchQueryOptions,\n} from 'apollo-client'\nimport { UpdateQueryFn } from 'apollo-client/core/watchQueryOptions'\n") + "\n// gql2 - to ignore apollo extention validation\n// for now there is no better way\nimport gql2 from 'graphql-tag'\n\n// DocumentNode type for fragment type safety\nimport { DocumentNode } from 'graphql'\n\n// rx library\nimport { from, observable } from 'rxjs'\nimport { map } from 'rxjs/operators'\n\n";
}
exports.default = default_1;
