"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var capitalizeFirstLetter_1 = require("../../utils/capitalizeFirstLetter");
function default_1(types) {
    if (!types.length) {
        return null;
    }
    var renderedFields = types
        .filter(function (x) { return !x.name.startsWith('__'); })
        .map(function (x) { return (0, capitalizeFirstLetter_1.default)(x.name); })
        .map(function (x) { return "\t" + x + " = '" + x + "',"; })
        .join('\n');
    return "\nexport enum QueryObjectTypes {\n" + renderedFields + "\n}\n\t";
}
exports.default = default_1;
