"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function default_1(_a) {
    var className = _a.className, renderPropTypes = _a.renderPropTypes, renderMethods = _a.renderMethods, isWatchQuery = _a.isWatchQuery, onlyDocument = _a.onlyDocument;
    return "\n// " + className + " props -----------------------------------\n" + renderPropTypes() + "\n\n// " + className + " apis ------------------------------------\nexport class " + className + (onlyDocument ? 'Document' : '') + " {\n\n\tconstructor(private client: ApolloClient<any>, private defaultOptions: GraphqlCallOptions = {} " + (isWatchQuery
        ? ', private subscriptionDocument: SubscriptionDocument | null = null'
        : '') + ") { }\n" + renderMethods() + "\n}\n";
}
exports.default = default_1;
