"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function default_1(_a) {
    var hasFragment = _a.hasFragment, graphqlTypeName = _a.graphqlTypeName, queryName = _a.queryName, variablesDeclarationString = _a.variablesDeclarationString, variablesString = _a.variablesString;
    if (!hasFragment) {
        return "\t// build query\n\t\tconst query = gql2`\n\t\tquery " + queryName + variablesDeclarationString + " {\n\t\t\t" + queryName + variablesString + "\n\t\t}\n\t\t`";
    }
    return "\t\tconst finishedFragment = fragment || `fragment ${fragmentName} on " + graphqlTypeName + " ${localFragment}`\n\n\t\t// build query\n\t\tconst query = gql2`\n\t\tquery " + queryName + variablesDeclarationString + " {\n\t\t\t" + queryName + variablesString + " {\n\t\t\t\t...${fragmentName}\n\t\t\t}\n\t\t}\n\n\t\t${finishedFragment}\n\t\t`";
}
exports.default = default_1;
